Bug 1823783 (CVE-2020-11739) - CVE-2020-11739 xen: missing memory barriers in read-write unlock paths (XSA-314)
Summary: CVE-2020-11739 xen: missing memory barriers in read-write unlock paths (XSA-314)
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-11739
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1823784
Blocks: 1823785
TreeView+ depends on / blocked
 
Reported: 2020-04-14 13:50 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-07-16 16:55 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-16 14:22:08 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-04-14 13:50:02 UTC
The read-write unlock paths don't contain a memory barrier. On Arm, this means a processor is allowed to re-order the memory access with the preceding ones.

Reference:
https://xenbits.xen.org/xsa/advisory-314.html

Comment 1 Guilherme de Almeida Suckevicz 2020-04-14 13:50:23 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1823784]


Note You need to log in before you can comment on or make changes to this bug.